local assets =
{
    Asset("ANIM", "anim/armor_bluegem.zip"),
    Asset("ATLAS", "images/inventoryimages/armor_bluegem.xml"),
	Asset("IMAGE", "images/inventoryimages/armor_bluegem.tex"),
}


local prefabs = 
{
	"groundpoundring_fx",
}


local function freezeproc(owner)
 	local x, y, z = owner.Transform:GetWorldPosition()
	local fx = SpawnPrefab("groundpoundring_fx")
	fx.Transform:SetPosition(x, y, z)

	
	local x,y,z = owner.Transform:GetWorldPosition()
            local ents = TheSim:FindEntities(x,y,z, 5, {"freezable"}, {"FX", "NOCLICK", "DECOR","INLIMBO"}) 
            for i,v in pairs(ents) do
             if v and v.components.freezable then
			 if v:HasTag("player") or v:HasTag("epic") then
			 
               else
                v.components.freezable:Freeze(0.1)
                v.components.freezable:SpawnShatterFX()
				v.components.freezable.coldness = 0
				v.components.freezable.wearofftime = 2
				v.components.health:DoDelta(-10)

        
end
end
end
end






local summonchance = 0.15
local function OnBlocked(owner, data)
    owner.SoundEmitter:PlaySound("dontstarve/wilson/hit_scalemail")
	 if math.random() < summonchance then
	 freezeproc(owner)

 end

	
end







local function onequip(inst, owner)

    owner.AnimState:OverrideSymbol("swap_body", "armor_bluegem", "swap_body")
    inst:ListenForEvent("blocked", OnBlocked, owner)
    inst:ListenForEvent("attacked", OnBlocked, owner)

end

local function onunequip(inst, owner)
    
    owner.AnimState:ClearOverrideSymbol("swap_body")
    inst:RemoveEventCallback("blocked", OnBlocked, owner)
    inst:RemoveEventCallback("attacked", OnBlocked, owner)

end

local function fn()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("armor_grass")
    inst.AnimState:SetBuild("armor_bluegem")
    inst.AnimState:PlayAnimation("anim")





    inst.foleysound = "dontstarve/movement/foley/jewlery"

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst:AddComponent("inspectable")





    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "armor_bluegem"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/armor_bluegem.xml"

    inst:AddComponent("armor")
    inst.components.armor:InitCondition(1200, TUNING.ARMORWOOD_ABSORPTION)


    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
	
	inst:AddComponent("insulator")
    inst.components.insulator:SetInsulation( TUNING.INSULATION_SMALL )
	inst.components.insulator:SetSummer()
	

	


    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)

    MakeHauntableLaunch(inst)

	inst:AddTag("waterproofer")
	inst:AddComponent("waterproofer")
    inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALL)

    return inst
end

return Prefab("common/inventory/armor_bluegem", fn, assets)



