local assets =
{
    Asset("ANIM", "anim/armor_purplegem.zip"),
    Asset("ATLAS", "images/inventoryimages/armor_purplegem.xml"),
	Asset("IMAGE", "images/inventoryimages/armor_purplegem.tex"),
}


local prefabs = 
{
	"groundpoundring_fx",
}

local summonchance = 0.20
local function OnBlocked(owner, data)
    owner.SoundEmitter:PlaySound("dontstarve/wilson/hit_marble")
		 if math.random() < summonchance then
	if data.attacker and data.attacker.components.hauntable and data.attacker.components.health then
	 SpawnPrefab("shadow_despawn").Transform:SetPosition(data.attacker.Transform:GetWorldPosition())
		data.attacker.components.hauntable:Panic(4)
		data.attacker.components.health:DoDelta(-10)
		owner.components.sanity:DoDelta(-1)
		
	end
	end
end












local function onequip(inst, owner)

    owner.AnimState:OverrideSymbol("swap_body", "armor_purplegem", "swap_body")
    inst:ListenForEvent("blocked", OnBlocked, owner)
    inst:ListenForEvent("attacked", OnBlocked, owner)

end

local function onunequip(inst, owner)

    owner.AnimState:ClearOverrideSymbol("swap_body")
    inst:RemoveEventCallback("blocked", OnBlocked, owner)
    inst:RemoveEventCallback("attacked", OnBlocked, owner)

end

local function fn()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("armor_grass")
    inst.AnimState:SetBuild("armor_purplegem")
    inst.AnimState:PlayAnimation("anim")





    inst.foleysound = "dontstarve/movement/foley/jewlery"

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst:AddComponent("inspectable")





    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "armor_purplegem"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/armor_purplegem.xml"

    inst:AddComponent("armor")
    inst.components.armor:InitCondition(1000, TUNING.ARMORWOOD_ABSORPTION * 1.1)


    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
	    inst.components.equippable.dapperness = -TUNING.DAPPERNESS_TINY
	

	

	


    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)

    MakeHauntableLaunch(inst)

	inst:AddTag("waterproofer")
	inst:AddComponent("waterproofer")
    inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALL)

    return inst
end

return Prefab("common/inventory/armor_purplegem", fn, assets)



