local assets =
{
    Asset("ANIM", "anim/armor_whitegem.zip"),
    Asset("ATLAS", "images/inventoryimages/armor_whitegem.xml"),
	Asset("IMAGE", "images/inventoryimages/armor_whitegem.tex"),
}



local function OnBlocked(owner)
    owner.SoundEmitter:PlaySound("dontstarve/wilson/hit_scalemail")

	
end


local function OnTakeDamage(inst, damage_amount)


end









local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_body", "armor_whitegem", "swap_body")
    inst:ListenForEvent("blocked", OnBlocked, owner)
	owner:AddTag("unstunnable")
end

local function onunequip(inst, owner)
    owner.AnimState:ClearOverrideSymbol("swap_body")
    inst:RemoveEventCallback("blocked", OnBlocked, owner)
	owner:RemoveTag("unstunnable")
end

local function fn()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()
    inst.entity:AddSoundEmitter()
    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("armor_grass")
    inst.AnimState:SetBuild("armor_whitegem")
    inst.AnimState:PlayAnimation("anim")
	inst:AddTag("waterproofer")

    inst.foleysound = "dontstarve/movement/foley/jewlery"

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst:AddComponent("inspectable")





    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "armor_whitegem"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/armor_whitegem.xml"

    inst:AddComponent("armor")
    inst.components.armor:InitCondition(3000, TUNING.ARMORWOOD_ABSORPTION)

	
		

    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
	inst.components.equippable.walkspeedmult = 1.1


	inst.components.equippable.dapperness = TUNING.DAPPERNESS_TINY
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)

    MakeHauntableLaunch(inst)


	inst:AddComponent("waterproofer")
    inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALL)

    return inst
end

return Prefab("armor_whitegem", fn, assets)



